Bug Hunting Session
Bug 126424 - Sidebar panels state not always remembered
Summary: Sidebar panels state not always remembered
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords:
Depends on:
Blocks: Sidebar
  Show dependency treegraph
 
Reported: 2019-07-16 10:12 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-09-03 07:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-07-16 10:12:46 UTC
1. Open the sidebar in Writer
2. Collapse one panel, e.g. the Paragraph panel in the Properties deck
3. Close and reopen Writer

Expected: Paragraph panel state is remembered (panel is collapsed)
Actual: Paragraph panel is still expanded when opening Writer

Note: This does not happen if you switch to "Print Preview" before closing Writer.
Comment 1 BogdanB 2019-07-16 18:20:38 UTC
Confirm it in 
Version: 6.2.5.2
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Confirm also the Print Preview keeping the panel ok.
Comment 2 Commit Notification 2019-07-18 08:28:35 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b58aa94f1f365c746135470bceb97cc182c289bc%5E%21

tdf#126424 Don't dispose decks before saving their state

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-07-18 13:48:16 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/df43979db9179780e0c95bc2dc2478ee95858342%5E%21

tdf#126424 Don't dispose decks before saving their state

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2019-08-05 10:52:47 UTC
Solved.

Verified in 
Version: 6.4.0.0.alpha0+
Build ID: 9ee5ad5a0b84bfa652da34694ba4f75668f06087
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-07-30_13:21:44
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded